#ifndef XFXELEMVELSTATEINFRAME_H
#define XFXELEMVELSTATEINFRAME_H

#include "xasset.h"
#include "xfxelemvec3range.h"

class XFxElemVelStateInFrame : public XAsset
{
public:
    explicit XFxElemVelStateInFrame();
    ~XFxElemVelStateInFrame();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    XFxElemVec3Range mVelocity;
    XFxElemVec3Range mTotalDelta;
};

#endif // XFXELEMVELSTATEINFRAME_H
